Skip to main content
GET
/
v1
/
notifications
/
feed
Get Notification Feed
curl --request GET \
  --url https://app.nex.ai/api/developers/v1/notifications/feed \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "type": "<string>",
      "status": "<string>",
      "alert_time": "2023-11-07T05:31:56Z",
      "sent_at": "2023-11-07T05:31:56Z",
      "content": {
        "important_items": [
          {}
        ],
        "entity_changes": [
          {}
        ]
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication (format: "Bearer YOUR_API_KEY")

Query Parameters

limit
integer
default:20

Maximum number of notifications to return (default: 20, max: 50)

since
string<date-time>

Only return notifications after this ISO 8601 timestamp (for incremental polling)

Response

List of notification feed items

items
object[]

List of notification feed items

Last modified on March 24, 2026